curl --request GET \
--url https://api.swarmd.ai/audit/v1/traces/{correlationId} \
--header 'Authorization: Bearer <token>'{
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"totalDurationMicros": 123,
"stepCount": 123,
"steps": [
{
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auditType": "COMMUNICATION_AUDIT",
"transport": "REST",
"auditAction": "LOG",
"sentAt": "2023-11-07T05:31:56Z",
"durationMicros": 123,
"offsetMicros": 123,
"message": "<string>",
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payload": {
"version": 123,
"method": "<string>",
"stage": "<string>",
"httpStatus": 123,
"errorMessage": "<string>",
"errorCode": "<string>",
"requestBody": {},
"requestHeaders": {},
"responseBody": {},
"responseHeaders": {},
"taskState": "<string>"
},
"metadata": {
"version": 123,
"source": "<string>"
},
"contextId": "<string>",
"taskId": "<string>",
"messageId": "<string>",
"taskState": "<string>"
}
]
}Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | AUDIT | READ | AUDIT:READ |
curl --request GET \
--url https://api.swarmd.ai/audit/v1/traces/{correlationId} \
--header 'Authorization: Bearer <token>'{
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"totalDurationMicros": 123,
"stepCount": 123,
"steps": [
{
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auditType": "COMMUNICATION_AUDIT",
"transport": "REST",
"auditAction": "LOG",
"sentAt": "2023-11-07T05:31:56Z",
"durationMicros": 123,
"offsetMicros": 123,
"message": "<string>",
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payload": {
"version": 123,
"method": "<string>",
"stage": "<string>",
"httpStatus": 123,
"errorMessage": "<string>",
"errorCode": "<string>",
"requestBody": {},
"requestHeaders": {},
"responseBody": {},
"responseHeaders": {},
"taskState": "<string>"
},
"metadata": {
"version": 123,
"source": "<string>"
},
"contextId": "<string>",
"taskId": "<string>",
"messageId": "<string>",
"taskState": "<string>"
}
]
}JWT token (USER, AGENT, or SERVICE auth)